Summary: NFS automount daemon
Name: amd
Version: 920824upl102
Release: 6
Copyright: BSD
Group: Networking/Daemons
Source: ftp.zia.ms.it:/pub/software/linux/amd-upl102.tar.gz
Source1: amd.init
Source2: amd.conf
Source3: amd.sysconf
Patch: amd.patch
Patch1: amd-upl102-glibc.patch
Patch2: amd-nonis.patch
Requires: portmap

%description
amd is the Berkeley automount daemon. It has the ability to automatically
mount filesystems of all types, including NFS filesystems, CD-ROM's, and
local drives, and unmount them when they are not being used any more.

The default setup allows you to 'cd /net/[hostname]' and get a list of
directories exported from that host.

%prep
%setup -n amd-upl102
%patch
%patch1 -p1

%ifarch axp
%patch2 -p1
%endif

%build
make

%install
make install
install -m 644 ./amd/amd.8 /usr/man/man8/amd.8
install -m 644 ./amq/amq.8 /usr/man/man8/amq.8
install -m 644 ./hlfsd/hlfsd.8 /usr/man/man8/hlfsd.8
install -m 644 ./amdxref/amdxref.8 /usr/man/man8/amdxref.8
install -m 644 ./rpcx/amq.x /usr/include/rpcsvc/amq.x
install -m 600 $RPM_SOURCE_DIR/amd.conf /etc/amd.conf
install -m 755 $RPM_SOURCE_DIR/amd.sysconf /etc/sysconfig/amd
install -m 755 $RPM_SOURCE_DIR/amd.init /etc/rc.d/init.d/amd.init

for I in 3 5; do
	ln -sf ../init.d/amd.init /etc/rc.d/rc$I.d/S72amd
done
for I in 0 1 2 6; do
	ln -sf ../init.d/amd.init /etc/rc.d/rc$I.d/K08amd
done

cd doc
makeinfo amdref.texinfo || :
install -m 644 amdref.info amdref.info-[0-9] /usr/info
gzip -q9f /usr/info/amdref.info /usr/info/amdref.info-[0-9]
rm -f amdref.info*
cd ..

mkdir -p /.automount

%files
%doc doc maps text contrib
%dir /.automount

/usr/sbin/amd
/usr/sbin/amq
/usr/sbin/mk-amd-map
/usr/sbin/fsinfo
/usr/sbin/hlfsd
/usr/sbin/wire-test

/usr/man/man8/amd.8
/usr/man/man8/amq.8
/usr/man/man8/hlfsd.8
/usr/man/man8/amdxref.8

/usr/include/rpcsvc/amq.x

%config /etc/amd.conf
%config /etc/sysconfig/amd
%config /etc/rc.d/init.d/amd.init

/etc/rc.d/rc3.d/S72amd
/etc/rc.d/rc5.d/S72amd
/etc/rc.d/rc0.d/K08amd
/etc/rc.d/rc1.d/K08amd
/etc/rc.d/rc2.d/K08amd
/etc/rc.d/rc6.d/K08amd

/usr/info/amdref.info*.gz
